<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP4 - Cryptohraphie: Sources/lut.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP4 - Cryptohraphie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_937900b87e0c7a5fa01190c395fb83f7.html">Sources</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">lut.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="lut_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keywordtype">char</span>** <a class="code" href="lut_8h.html#a17755e96c9f22566e38a8a689eba040b">genLUT</a>(<span class="keywordtype">char</span>* key);</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keywordtype">void</span> <a class="code" href="lut_8h.html#ab237f30488f8d1ec8a6ec11a12b24877">dispLUT</a>(<span class="keywordtype">char</span>** <a class="code" href="encrypt_8h.html#a9baf18e6b0cbbf503b3abe47d61d361b">lut</a>);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keywordtype">char</span>* <a class="code" href="lut_8h.html#a74142679c37b481a45d1925775194a49">genPass</a>(<span class="keywordtype">char</span> *key, <span class="keywordtype">char</span> *pass);</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keywordtype">int</span> <a class="code" href="lut_8h.html#aed51c7d3aa94cd8b67f3a1b0aad5031e">checkKeySize</a> (<span class="keywordtype">char</span>* key);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keywordtype">int</span> <a class="code" href="lut_8h.html#a89b69036529e42e685684300de0baf18">checkKeyHasUniqueCaracters</a> (<span class="keywordtype">char</span>* key);</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keywordtype">int</span> <a class="code" href="lut_8h.html#a999a76fa6c842cdb357ca2d51c706279">keySize</a> (<span class="keywordtype">char</span>* key);</div><div class="ttc" id="lut_8h_html_a999a76fa6c842cdb357ca2d51c706279"><div class="ttname"><a href="lut_8h.html#a999a76fa6c842cdb357ca2d51c706279">keySize</a></div><div class="ttdeci">int keySize(char *key)</div><div class="ttdef"><b>Definition:</b> lut.c:107</div></div>
<div class="ttc" id="encrypt_8h_html_a9baf18e6b0cbbf503b3abe47d61d361b"><div class="ttname"><a href="encrypt_8h.html#a9baf18e6b0cbbf503b3abe47d61d361b">lut</a></div><div class="ttdeci">void lut(encryption_t toEncrypt)</div></div>
<div class="ttc" id="lut_8h_html_a89b69036529e42e685684300de0baf18"><div class="ttname"><a href="lut_8h.html#a89b69036529e42e685684300de0baf18">checkKeyHasUniqueCaracters</a></div><div class="ttdeci">int checkKeyHasUniqueCaracters(char *key)</div><div class="ttdef"><b>Definition:</b> lut.c:143</div></div>
<div class="ttc" id="lut_8h_html_a74142679c37b481a45d1925775194a49"><div class="ttname"><a href="lut_8h.html#a74142679c37b481a45d1925775194a49">genPass</a></div><div class="ttdeci">char * genPass(char *key, char *pass)</div><div class="ttdef"><b>Definition:</b> lut.c:40</div></div>
<div class="ttc" id="lut_8h_html_ab237f30488f8d1ec8a6ec11a12b24877"><div class="ttname"><a href="lut_8h.html#ab237f30488f8d1ec8a6ec11a12b24877">dispLUT</a></div><div class="ttdeci">void dispLUT(char **lut)</div><div class="ttdoc">diplay look-up table with the address lut </div><div class="ttdef"><b>Definition:</b> lut.c:96</div></div>
<div class="ttc" id="lut_8h_html_aed51c7d3aa94cd8b67f3a1b0aad5031e"><div class="ttname"><a href="lut_8h.html#aed51c7d3aa94cd8b67f3a1b0aad5031e">checkKeySize</a></div><div class="ttdeci">int checkKeySize(char *key)</div><div class="ttdef"><b>Definition:</b> lut.c:123</div></div>
<div class="ttc" id="lut_8h_html_a17755e96c9f22566e38a8a689eba040b"><div class="ttname"><a href="lut_8h.html#a17755e96c9f22566e38a8a689eba040b">genLUT</a></div><div class="ttdeci">char ** genLUT(char *key)</div><div class="ttdoc">return a lookup table with the key </div><div class="ttdef"><b>Definition:</b> lut.c:20</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
